CW
POST/app-api/v1/auth/resend-otp

Resend OTP (t_reg / t_fpwd public; t_vmail requires Bearer token)

Parameters

NameInRequiredDescription
authorizationheaderNoBearer access token — required only when type is t_vmail
x-request-idheaderNoOptional correlation id. Generated when omitted.

Request Body

ResendOtpDtoobject
typestring

t_reg = signup OTP; t_fpwd = forgot-password; t_vmail = verify-email (requires Bearer token)

idnumber

Temp user id for t_reg (CI parity with signup user_id)

phonestring

For t_reg / t_fpwd — either phone or email required (type-dependent)

emailstring

Required for t_vmail; for t_reg / t_fpwd when phone omitted

Required: type

Related Schemas

ResendOtpDto
typestring

t_reg = signup OTP; t_fpwd = forgot-password; t_vmail = verify-email (requires Bearer token)

idnumber

Temp user id for t_reg (CI parity with signup user_id)

phonestring

For t_reg / t_fpwd — either phone or email required (type-dependent)

emailstring

Required for t_vmail; for t_reg / t_fpwd when phone omitted

Required: type

Code samples

Generated from the current environment and the request configured in the Try-it panel.

curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/auth/resend-otp' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'apptype: android' \
  -H 'appver: 1.0.0' \
  -H 'webver: 1.0.0' \
  -H 'portalver: 1.0.0' \
  -H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
  -d '{
  "type": "t_reg"
}' \